bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: compiling error


From: Jim Meyering
Subject: Re: compiling error
Date: Tue, 12 Aug 2008 23:24:44 +0200

Ralf Wildenhues <address@hidden> wrote:
> FAIL: dd/misc.log (exit: 1)
> ===========================
...
> + compare out_ok out
> + compare err_ok err
> --- err_ok      2008-08-12 19:24:03.000000000 +0000
> +++ err 2008-08-12 19:24:03.000000000 +0000
> @@ -1,2 +1,3 @@
> ++ LC_ALL=C
>  1+0 records in
>  1+0 records out

Thanks for reporting that.
The shell is echoing the LC_ALL=C setting from this:

  (echo a; sleep .1; echo b) \
    | env LC_ALL=C dd bs=4 status=noxfer iflag=fullblock >out 2>err || fail=1


Would you please see if this manages to suppress
the unexpected line?

diff --git a/tests/dd/misc b/tests/dd/misc
index e550d6a..04318f0 100755
--- a/tests/dd/misc
+++ b/tests/dd/misc
@@ -89,7 +89,7 @@ outbytes=`echo x | dd bs=3 ibs=10 obs=10 conv=sync 
2>/dev/null | wc -c`
 test "$outbytes" -eq 3 || fail=1

 (echo a; sleep .1; echo b) \
-  | LC_ALL=C dd bs=4 status=noxfer iflag=fullblock >out 2>err || fail=1
+  | env LC_ALL=C dd bs=4 status=noxfer iflag=fullblock >out 2>err || fail=1
 printf 'a\nb\n' > out_ok || framework_failure
 echo "1+0 records in
 1+0 records out" > err_ok || framework_failure




reply via email to

[Prev in Thread] Current Thread [Next in Thread]